Package org.eclipse.emf.compare.ide.ui.internal.util

# Class StyledStringConverter

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.util.StyledStringConverter

public class StyledStringConverter extends Object

## Constructor Summary

Constructors
Constructor
Description
`StyledStringConverter(org.eclipse.swt.graphics.Font defaultFont, org.eclipse.swt.graphics.Color defaultForeground, org.eclipse.swt.graphics.Color defaultBackground)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.jface.viewers.StyledString`
`toJFaceStyledString(IStyledString.IComposedStyledString composedStyledString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StyledStringConverter

public StyledStringConverter(org.eclipse.swt.graphics.Font defaultFont, org.eclipse.swt.graphics.Color defaultForeground, org.eclipse.swt.graphics.Color defaultBackground)

## Method Details

### toJFaceStyledString

public org.eclipse.jface.viewers.StyledString toJFaceStyledString(IStyledString.IComposedStyledString composedStyledString)